%global momorel 6
%global ocamlver 3.11.2

%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%global debug_package %{nil}

Name:           ocaml-SDL
Version:        0.7.2
Release:        %{momorel}m%{?dist}
Summary:        OCaml bindings for SDL

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://ocamlsdl.sourceforge.net
Source0:        http://downloads.sourceforge.net/ocamlsdl/ocamlsdl-%{version}.tar.gz
NoSource:       0
Source1:        ocamlsdl-0.7.2-htmlref.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ocaml-lablgl-devel >= 1.04-3m
BuildRequires:  SDL_ttf-devel, SDL_mixer-devel, SDL_image-devel 
BuildRequires:  ocaml >= %{ocamlver}
Requires:       ocaml


%description
Runtime libraries to allow programs written in OCaml to write to SDL 
(Simple DirectMedia Layer) interfaces.

%package        devel
Summary:        Development files for ocamlSDL
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 

%description    devel
The ocamlSDL-devel package provides libraries and headers for developing 
applications using ocamlSDL

%prep
%setup -q -n ocamlsdl-%{version} -a 1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS
%{_libdir}/ocaml/sdl
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner
%if %opt
%exclude %{_libdir}/ocaml/sdl/*.a
%exclude %{_libdir}/ocaml/sdl/*.cmxa
%endif
%exclude %{_libdir}/ocaml/sdl/*.mli


%files devel
%defattr(-,root,root,-)
%doc htmlref/
%if %opt
%{_libdir}/ocaml/sdl/*.a
%{_libdir}/ocaml/sdl/*.cmxa
%endif
%{_libdir}/ocaml/sdl/*.mli


%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-6m)
- full rebuild for mo7 release

* Sun Apr 11 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.2-5m)
- rebuild against ocaml-3.11.2
- rebuild against ocaml-lablgl-1.04-3m

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.2-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.2-3m)
- rebuild against rpm-4.6

* Fri Dec  5 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.2-2m)
- rebuild against ocaml-3.11.0

* Tue May 20 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.2-1m)
- import from Fedora

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 0.7.2-12
- Rebuild for OCaml 3.10.2.

* Sat Apr 19 2008 Richard W.M. Jones <rjones@redhat.com> - 0.7.2-11
- Add commas in dependencies & rebuild.

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> 0.7.2-10
- Rebuild for ppc64.

* Wed Feb 13 2008 Richard W.M. Jones <rjones@redhat.com> 0.7.2-9
- *.so.owner files aren't being generated by this ocamlfind.

* Wed Feb 13 2008 Richard W.M. Jones <rjones@redhat.com> 0.7.2-8
- Rebuild for OCaml 3.10.1.
- Generate correct provides and requires.
- Fix 'make install' rule for new ocamlfind.
- Fix paths to conform with OCaml packaging guidelines.

* Wed May 09 2007 Nigel Jones <dev@nigelj.com> 0.7.2-7
- ExcludeArch ppc64 until ocaml builds

* Fri May 04 2007 Nigel Jones <dev@nigelj.com> 0.7.2-6
- Fix download URL and remove ldconfig

* Fri May 04 2007 Nigel Jones <dev@nigelj.com> 0.7.2-5
- Minor fixups per review

* Thu May 03 2007 Nigel Jones <dev@nigelj.com> 0.7.2-4
- Rename per policy
- Revert -3 changes
- Add htmlref

* Thu Apr 26 2007 Nigel Jones <dev@nigelj.com> 0.7.2-3
- Provide ocamlSDL-static, add COPYING to -devel as docs.

* Wed Apr 10 2007 Nigel Jones <dev@nigelj.com> 0.7.2-2
- Fix missing dependencies

* Tue Apr 10 2007 Nigel Jones <dev@nigelj.com> 0.7.2-1
- Initial spec file

